const detect = require("detect-port-alt");

function choosePort(host, defaultPort) {
  return detect(defaultPort, host).then(port => {
    // console.log(1234123, port);
    return new Promise(resolve => {
      if (port === defaultPort) {
        resolve(port);
      }

      const question = {
        default: true,
        name: "shouldChoosePort",
        message: "change a port?",
        type: "confirm"
      };

      inquirer.prompt(question).then(answer => {
        if (answer.shouldChoosePort) {
          resolve(port);
        } else {
          resolve(null);
        }
      });
    });
  });
}

module.exports = choosePort;
