const execSync = require('child_process').execSync;
const open = require('open');

var OSX_CHROME = 'google chrome';

const Actions = Object.freeze({
  NONE: 0,
  BROWSER: 1,
  SCRIPT: 2,
});

function getBrowserEnv() {
  var value = process.env.BROWSER;

  //default
  var action = Actions.BROWSER;
  return {action, value, args: []}
}

function excuteScripts() {

}

function startOpenBrowser(browser, url) {
  var shouldOSXscript = process.platform === 'darwin' && (typeof browser !== 'string' || browser === OSX_CHROME);
  // console.log(browser, url, shouldOSXscript);
  if(shouldOSXscript) {
    try {
      execSync('ps cax | grep "Google Chrome"');
      execSync('osascript openChrome.applescript "' + encodeURI(url) + '"', {
        cwd: __dirname,
        stdio: 'ignore',
      });
      return true;
    } catch(e) {
      // ignore errors
    }
  }

  try {
    var options = {app: browser, wait: false};
    open(url, options).then(() => {});
    return true;
  } catch(e) {
    return false;
  }
}

function openBrowser(url) {
  const {action, value, args} = getBrowserEnv();
  switch(action) {
    case Actions.NONE:
      return false;
    case Actions.SCRIPT:
      return excuteScripts(value, url);
    case Actions.BROWSER:
      return startOpenBrowser(value, url, args);
    default:
      throw new Error('Not implemented');
  }
}

module.exports = openBrowser;